<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author         pedro.garcia
@modifiedBy     christian.rodriguez
@version        2.0
@description    página que lista los trámites pendientes por cargar el resultado de la comisión
                Es actividad masiva
@cu             CU-CO-E-02

MB usados:
* VistaDetallesSolicitudMB para la vista de detalles de la solicitud
* VistaDetallesTramiteMB para la vista de detalles del trámite
* EjecucionMB porque allí estaba la lógica para adicionar trámites
* ConsultaPredioMB para la consulta de predios del trámite

Formas relacionadas:
* detalleSolicitudEjecutarForm es la formulario de detalleSolicitudEjecutar.xhtml
* detalleTramiteEjecutarForm form de detalleTramiteEjecucion.xhtml

-->

<!--
OJO: el p:focus genera un comportamiento extraño: reload de la página al cambiar de ventana. Sucede
hasta que se hace algo sobre la página.
@modified por leidy.gonzalez Se agrega a la etiqueta ultimateConfirmDialogCC campo confirmUpdateOnYes 

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">


    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Cargue de información al sistema::.
    </ui:define>

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog2.show();"
                      onsuccess="statusDialog2.hide();"
                      onerror="alert('Error AJAX en la aplicación');" />

        <p:messages id="msgsCIS" showDetail="false" globalOnly="false" />

        <p:panel header="Cargue de información al sistema">
            <p:spacer height="20" width="0" />
            <h:form id="cargueInfoForm">
                <h:panelGrid columns="1" style="width:100%">

                    <p:commandButton ajax="true"
                                     update=":cargueInfoForm, btnExpCont, cargueInfoTramiteDT" process="@this"
                                     id="btnExpCont" 
                                     title="#{cargueInfoAlSistema.banderaExpanderTabla eq true ? 'Contraer':'Expandir'}"
                                     icon="#{cargueInfoAlSistema.banderaExpanderTabla eq true ? 'ui-icon-arrowstop-1-w':'ui-icon-arrowstop-1-e'}">
                        <f:setPropertyActionListener
                            target="#{cargueInfoAlSistema.banderaExpanderTabla}"
                            value="#{cargueInfoAlSistema.banderaExpanderTabla eq true ? false : true}" />
                    </p:commandButton>

                    <p:dataTable id="cargueInfoTramiteDT" 
                                 value="#{cargueInfoAlSistema.tramitesParaCargueInfo}"
                                 var="tramiteCargueInfo" widgetVar="cargueInfoTramiteDTWV"
                                 rowKey="#{tramiteCargueInfo.id}" paginator="true" rows="10"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 paginatorPosition="bottom" rowsPerPageTemplate="10,20,30"
                                 selectionMode="single" 
                                 selection="#{cargueInfoAlSistema.selectedTramiteCargueInfo}"
                                 emptyMessage="No se encontraron trámites">

                        <p:ajax event="rowSelect"
                                listener="#{cargueInfoAlSistema.actualizarDatosDepuracion}"
                                update=":cargueInfoForm, :cargueInfoForm:botonDepuracion"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />
                        <p:ajax event="rowUnselect"
                                listener="#{cargueInfoAlSistema.tableRowUnselectListener}"
                                update=":cargueInfoForm"
                                onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();" />

                        <f:facet name="header">
                            Trámites por cargar información
                        </f:facet>

                        <p:column headerText="Número de solicitud" >
                            <p:commandLink styleClass="commandLinkStyleInTable"
                                           oncomplete="detalleSolicitudEjecutarWV.show();"
                                           update=":detalleSolicitudEjecutarForm" process="@this">
                                <h:outputText value="#{tramiteCargueInfo.solicitud.numero}"
                                              />
                                <f:setPropertyActionListener
                                    value="#{tramiteCargueInfo.solicitud}"
                                    target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                            </p:commandLink>
                        </p:column>

                        <p:column headerText="Fecha de solicitud" 
                                  rendered="#{cargueInfoAlSistema.banderaExpanderTabla}">
                            <h:outputText value="#{tramiteCargueInfo.solicitud.fecha}"
                                          styleClass="outputTextStyleInTable">
                                <f:convertDateTime pattern="#{general.formatoFechaHora}" locale="es_CO"
                                                   timeZone="GMT-5"	type="both" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Número de radicación"
                                  filterBy="#{tramiteCargueInfo.numeroRadicacion}"
                                  filterMatchMode="contains">
                            <p:commandLink styleClass="commandLinkStyleInTable"
                                           oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
                                           update=":detalleTramiteEjecutarForm"
                                           value="#{tramiteCargueInfo.numeroRadicacion}">
                                <f:setPropertyActionListener value="#{tramiteCargueInfo}"
                                                             target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                            </p:commandLink>
                        </p:column>

                        <p:column headerText="Derecho Petición/Tutela" >
                            <p:commandLink styleClass="commandLinkStyleInTable"
                                           oncomplete="detalleSolicitudEjecutarWV.show();"
                                           update=":detalleSolicitudEjecutarForm" process="@this">
                                <h:outputText value="#{tramiteCargueInfo.formaPeticionTramite}"
                                              />
                                <f:setPropertyActionListener
                                    value="#{tramiteCargueInfo.solicitud}"
                                    target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                            </p:commandLink>
                        </p:column>

                        <p:column headerText="Tipo de trámite"
                                  filterBy="#{tramiteCargueInfo.tipoTramiteCadenaCompleto}"
                                  filterMatchMode="contains">
                            <h:outputText value="#{tramiteCargueInfo.tipoTramiteCadenaCompleto}" 
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                        <p:column headerText="Fecha de radicación" 
                                  rendered="#{cargueInfoAlSistema.banderaExpanderTabla}">
                            <h:outputText value="#{tramiteCargueInfo.fechaRadicacion}"
                                          styleClass="outputTextStyleInTable">
                                <f:convertDateTime pattern="#{general.formatoFechaUsuario}" locale="es" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Departamento" 
                                  rendered="#{cargueInfoAlSistema.banderaExpanderTabla}">
                            <h:outputText value="#{tramiteCargueInfo.departamento.nombre}" 
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                        <p:column headerText="Municipio" 
                                  rendered="#{cargueInfoAlSistema.banderaExpanderTabla}">
                            <h:outputText value="#{tramiteCargueInfo.municipio.nombre}" 
                                          styleClass="outputTextStyleInTable"/>
                        </p:column>

                        <p:column headerText="Número predial" 
                                  filterBy="#{tramiteCargueInfo.predio.numeroPredial}"
                                  filterMatchMode="contains">
                            <p:commandLink 
                                rendered="#{!tramiteCargueInfo.segundaEnglobe}"
                                value="#{tramiteCargueInfo.predio.formattedNumeroPredialCompleto}"
                                styleClass="commandLinkStyleInTable"
                                onstart="statusDialog2.show();"
                                action="#{consultaPredio.cleanAllMB}"
                                oncomplete="detallePredioWV.show(); statusDialog2.hide();"
                                update=":dpCC:detallesPredioTV"
                                immediate="true">
                                <f:setPropertyActionListener 
                                    value="#{tramiteCargueInfo.predio}"	
                                    target="#{consultaPredio.selectedPredio1}" />
                            </p:commandLink>

                            <p:commandLink rendered="#{tramiteCargueInfo.segundaEnglobe}"
                                           value="Ver predios" title="Ver detalles de los predios"
                                           styleClass="commandLinkStyleInTable"
                                           action="#{consultaPredio.consultarPrediosDelTramiteParaDetalles}"
                                           onstart="statusDialog2.show();"
                                           oncomplete="prediosTramiteWV.show(); statusDialog2.hide();"
                                           update=":prediosTramitePG" immediate="true">
                                <f:setPropertyActionListener value="#{tramiteCargueInfo.id}"
                                                             target="#{consultaPredio.idTramiteDePredios}" />
                            </p:commandLink>


                        </p:column>

                        <p:column headerText="Número de comisión">

                            <p:commandLink ajax="false" process="@this" 
                                           action="#{cargueInfoAlSistema.generarMemoComision}"
                                           rendered="#{tramiteCargueInfo.comisionTramite.comision.memorandoDocumentoId ne null}">
                                <h:outputText value="#{tramiteCargueInfo.numeroComision}"
                                              styleClass="commandLinkStyleInTable" />							
                                <f:setPropertyActionListener
                                    target="#{cargueInfoAlSistema.currentComisionTramite}"
                                    value="#{tramiteCargueInfo.comisionTramite}" />
                                <p:fileDownload 
                                    value="#{cargueInfoAlSistema.reporteMemorandoComision.streamedContentReporte}" />
                            </p:commandLink>
                            <h:outputText value="#{tramiteCargueInfo.numeroComision}"
                                          rendered="#{tramiteCargueInfo.comisionTramite.comision.memorandoDocumentoId eq null}"
                                          styleClass="commandLinkStyleInTable"/>	
                        </p:column>


                        <p:column headerText="Estado comisión">
                            <h:outputText value="#{tramiteCargueInfo.comisionTramite.comision.estado}"
                                          styleClass="outputTextStyleInTable" >
                                <f:converter converterId="converterComisionEstado" />
                            </h:outputText>
                        </p:column>

                        <p:column headerText="Observaciones rechazo por depuración" rendered="">
                            <h:outputText value="#{tramiteCargueInfo.ultimaRazonRechazoDepuracion}"
                                          styleClass="outputTextStyleInTable" />
                        </p:column>


                    </p:dataTable>

                </h:panelGrid>

                <p:spacer height="30" width="0" />

                <p:fieldset rendered="#{cargueInfoAlSistema.banderaNecesitaDepuracion and !cargueInfoAlSistema.banderaDepuracion}">
                    <legend>
                        <h:outputText value="Detalles depuración" 
                                      styleClass="legendTitle" />
                    </legend>

                    <h:panelGrid id="depuracionPanel" 
                                 width="100%" columns="1">

                        <p:dataTable id="inconsistenciasDT" widgetVar="inconsistenciasDTWV"
                                     value="#{cargueInfoAlSistema.inconsistenciasTramite}"
                                     var="inconsistencia" paginator="true" rows="5"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                                     emptyMessage="No se encontraron inconsistencias">
                            <f:facet name="header">
                                Inconsistencias geogràficas
                            </f:facet>

                            <p:column headerText="Tipo">
                                <h:outputText id="PredioTipoV"
                                              value="#{inconsistencia.tipo}">


                                </h:outputText>

                            </p:column>

                            <p:column headerText="Descripciòn">
                                <h:outputText
                                    value="#{inconsistencia.inconsistencia}" />

                            </p:column>
                            <p:column headerText="Nùmero predial">
                                <h:outputText
                                    value="#{inconsistencia.numeroPredial}"
                                    styleClass="outputTextStyle" />
                            </p:column>

                        </p:dataTable>

                    </h:panelGrid>
                </p:fieldset>


                <p:outputPanel layout="block" style="text-align: center">
                    <h:panelGrid columns="7">
                        <p:commandButton value="Cargar del DMC al sistema"
                                         id="botonCargarDelDMC"
                                         onclick="if (cargueInfoTramiteDTWV.selection.length === 0) {
                                                     alert('Debe seleccionar al menos un trámite');
                                                     return false;
                                                 }"
                                         icon="ui-icon-seek-next" title="???" disabled="true" />
                        <p:commandButton value="Cargar desde archivo al sistema"
                                         id="botoncargarDeArchivo"
                                         onclick="if (cargueInfoTramiteDTWV.selection.length === 0) {
                                                     alert('Debe seleccionar al menos un trámite');
                                                     return false;
                                                 }"
                                         icon="ui-icon-seek-next" title="???" disabled="true" />
                        <p:commandButton value="Informar resultado de la visita"
                                         id="botonInformarDeVisita"
                                         disabled="#{!cargueInfoAlSistema.showBotonInformarResultadoVisita}"
                                         onclick="
                                                 if (cargueInfoTramiteDTWV.selection.length === 0) {
                                                     alert('Debe seleccionar al menos un trámite');
                                                     return false;
                                                 } else if (cargueInfoTramiteDTWV.selection.length > 1) {
                                                     alert('Debe seleccionar solo un trámite para ejecutar esta acción');
                                                     return false;
                                                 }"
                                         action="#{cargueInfoAlSistema.consultarTramiteCompleto}"
                                         oncomplete="resultadoVisitaDialogWV.show()"
                                         icon="ui-icon-volume-on"
                                         update=":resultadoVisitaTramiteForm, :msgsCIS">
                        </p:commandButton>
                        <p:commandButton value="Enviar a depuración geográfica"
                                         rendered="#{(cargueInfoAlSistema.banderaNecesitaDepuracion and !cargueInfoAlSistema.banderaDepuracion)
                                                     or cargueInfoAlSistema.banderaRectificaZonas}"
                                         id="botonDepuracion"
                                         onclick="
                                                 if (cargueInfoTramiteDTWV.selection.length === 0) {
                                                     alert('Debe seleccionar al menos un trámite');
                                                     return false;
                                                 } else if (cargueInfoTramiteDTWV.selection.length > 1) {
                                                     alert('Debe seleccionar solo un trámite para ejecutar esta acción');
                                                     return false;
                                                 }"
                                         action="#{cargueInfoAlSistema.consultarTramiteCompleto}"
                                         oncomplete="confirmarDepuracionWV.show()"
                                         icon="ui-icon-seek-next">
                        </p:commandButton>

                        <p:commandButton value="Editor GIS"
                                         rendered="#{(cargueInfoAlSistema.banderaTramiteEspacial or cargueInfoAlSistema.banderaRectificaZonas)and cargueInfoAlSistema.banderaReplicaConsulta}"
                                         onclick="
                                                 if (cargueInfoTramiteDTWV.selection.length === 0) {
                                                     alert('Debe seleccionar al menos un trámite');
                                                     return false;
                                                 } else if (cargueInfoTramiteDTWV.selection.length > 1) {
                                                     alert('Debe seleccionar solo un trámite para ejecutar esta acción');
                                                     return false;
                                                 }
                                                 abrirEditor('snc:#{cargueInfoAlSistema.parametroEditorGeografico}');"
                                         icon="ui-icon-image"
                                         disabled="#{cargueInfoAlSistema.banderaPredioFiscal}"/>

                        <p:commandButton value="Editor GIS" 
                                         rendered="#{cargueInfoAlSistema.banderaTramiteEspacial and !cargueInfoAlSistema.banderaReplicaConsulta}"
                                         onclick="
                                                 if (cargueInfoTramiteDTWV.selection.length === 0) {
                                                     alert('Debe seleccionar al menos un trámite');
                                                     return false;
                                                 } else if (cargueInfoTramiteDTWV.selection.length > 1) {
                                                     alert('Debe seleccionar solo un trámite para ejecutar esta acción');
                                                     return false;
                                                 }
                                                 confirmarGeneracionReplicaWV.show();"
                                         icon="ui-icon-image"
                                         disabled="#{cargueInfoAlSistema.banderaPredioFiscal}"/>

                        <p:commandButton value="Actualizar inconsistencias geográficas"
                                         rendered="#{cargueInfoAlSistema.banderaTramiteEspacial or cargueInfoAlSistema.banderaRectificaZonas}"
                                         onclick="
                                                 if (cargueInfoTramiteDTWV.selection.length === 0) {
                                                     alert('Debe seleccionar al menos un trámite');
                                                     return false;
                                                 } else if (cargueInfoTramiteDTWV.selection.length > 1) {
                                                     alert('Debe seleccionar solo un trámite para ejecutar esta acción');
                                                     return false;
                                                 }"
                                         icon="ui-icon-refresh"
                                         update="inconsistenciasDT, :cargueInfoForm"
                                         oncomplete="statusDialog2.hide()"
                                         onstart="statusDialog2.show()"
                                         action="#{cargueInfoAlSistema.actualizarInconsistencias}"
                                         disabled="#{cargueInfoAlSistema.banderaPredioFiscal}"/>

                        <p:commandButton
                            value="Devolver por comisión modificada"
                            icon="ui-icon-seek-prev"
                            title="Devuelve el trámite por que la comisión fue cancelada, para que sea comisionado de nuevo"
                            disabled="#{!cargueInfoAlSistema.mostrarBotonDevolverXComisCancelada}" 
                            onclick="
                                    if (cargueInfoTramiteDTWV.selection.length === 0) {
                                        alert('Debe seleccionar al menos un trámite');
                                        return false;
                                    }"
                            action="#{cargueInfoAlSistema.devolverPorComisionCancelada}"
                            update=":msgsCIS, :cargueInfoForm"/>


                    </h:panelGrid>

                    <p:separator style="width:925px;height:3px" />
                    <p:spacer height="7" width="0" />
                    <p:outputPanel layout="block" style="text-align:right">
                        <p:commandButton value="Cerrar" update="msgsCIS"
                                         icon="ui-icon-circle-close" immediate="true" process="@this"
                                         action="#{cargueInfoAlSistema.cerrar}" ajax="false" />
                        <p:spacer height="0" width="30" />
                    </p:outputPanel>

                </p:outputPanel>

            </h:form>
        </p:panel>



        <!-- .........  dialogs  .............  -->         

        <p:dialog header="Resultado de la visita" dynamic="true"
                  widgetVar="resultadoVisitaDialogWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="450" width="800">
            <ui:include src="resultadoVisitaTramite.xhtml" />
        </p:dialog>

        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud"
                  widgetVar="detalleSolicitudEjecutarWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480"
                  dynamic="true" width="960">
            <ui:include src="detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{cc.attrs.tramiteResumenID}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Adicionar trámite nuevo"
                  widgetVar="adicionarTramiteTramiteWV" modal="true"
                  appendToBody="true" resizable="true" position="center" height="480" width="960"
                  dynamic="true">
            <ui:include src="adicionarTramiteNuevoEjecucion.xhtml">
                <ui:param name="managedBeanParam" value="#{cargueInfoAlSistema}" />
                <ui:param name="selectedTramiteTraParam"
                          value="#{cargueInfoAlSistema.tramiteTramiteSeleccionado}" />
                <ui:param name="selectedTramiteParam"
                          value="#{cargueInfoAlSistema.selectedTramiteCargueInfo}" />
                <ui:param name="prediosTramiteParam"
                          value="#{cargueInfoAlSistema.prediosTramite}" />
                <ui:param name="updatesBotonGuardarTramiteParam"
                          value=":resultadoVisitaTramiteForm:tramitesNuevosDT, 
                          :resultadoVisitaTramiteForm:msgsResultadoVisita, msgsTramite" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Selección de datos a rectificar"
                  widgetVar="seleccionDatosRectificarWV" dynamic="true" modal="true"
                  appendToBody="true"
                  resizable="true" position="center" width="600" height="400">
            <ui:include
                src="/tramite/radicacion/rectificacionOComplementacion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{cargueInfoAlSistema}" />
                <ui:param name="tramiteParam" value="#{cargueInfoAlSistema.tramiteTramiteSeleccionado}" />
            </ui:include>
        </p:dialog>


        <p:dialog header="Número Predial Anterior" dynamic="true"
                  widgetVar="numPredAnteriorDlg" appendToBody="true" modal="true"
                  height="500" width="800">
            <ui:include src="/conservacion/consultarNumeroPredialAnterior.xhtml" />
        </p:dialog>


        <p:dialog header="Bloqueo Predio" widgetVar="bloqueoDlg"
                  dynamic="true" appendToBody="true" modal="true" height="500"
                  width="800">
            <ui:include src="consultaDetalleBloqueoPredio.xhtml" />
        </p:dialog>

        <p:confirmDialog widgetVar="confirmacionAvanceProcesoCargueInfoSNCWV"
                         appendToBody="true"
                         message="Va a avanzar el proceso del trámite. ¿Está seguro de que no va a adicionar más trámites, o eliminar alguno adicionado, o a cambiar la cancelación del trámite?"
                         width="400" header="Confirmación" severity="alert">
            <h:form>
                <p:commandButton value="Sí"
                                 action="#{cargueInfoAlSistema.avanzarProcesoTramiteComision}" 
                                 ajax="false"
                                 oncomplete="confirmacionAvanceProcesoCargueInfoSNCWV.hide(); 
                                 resultadoVisitaDialogWV.hide(); "
                                 icon="ui-icon-seek-next" immediate="true" />
                <p:commandButton value="No"
                                 onclick="confirmacionAvanceProcesoCargueInfoSNCWV.hide()"
                                 type="button" />
            </h:form>
        </p:confirmDialog>

        <p:confirmDialog widgetVar="confirmacionGuardarResultadoVisitaWV"
                         appendToBody="true"
                         message="Va a guardar el resultado de la visita. Tenga en cuenta que no podra cambiar la cancelación del trámite, ¿desea continuar?"
                         width="400" header="Confirmación" severity="alert">
            <h:form>
                <p:commandButton value="Sí"
                                 action="#{cargueInfoAlSistema.guardarResultadoVisita}"
                                 ajax="true"
                                 oncomplete="confirmacionGuardarResultadoVisitaWV.hide();"
                                 update=":resultadoVisitaTramiteForm:msgsResultadoVisita, :resultadoVisitaTramiteForm:btnsPanelGrd, 
                                 :resultadoVisitaTramiteForm:tramitesNuevosDT, :resultadoVisitaTramiteForm:cancelaTramiteCombo"
                                 icon="ui-icon-seek-next" immediate="true" />
                <p:commandButton value="No"
                                 onclick="confirmacionGuardarResultadoVisitaWV.hide();"
                                 type="button" />
            </h:form>
        </p:confirmDialog>


        <p:dialog header="Predios del trámite" id="prediosTramiteDialog"
                  widgetVar="prediosTramiteWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  height="400" width="400">
            <ui:include src="/conservacion/prediosDeTramite.xhtml">
                <ui:param name="listaPrediosDelTramiteParam"
                          value="#{consultaPredio.prediosDeTramiteEnglobe}" />
                <ui:param name="detallesPredioDialogWVParam" value="detallePredioWV" />
                <ui:param name="thisWVParam" value="prediosTramiteWV" />
            </ui:include>
        </p:dialog>


        <!-- .........  composite components  .............  --> 

        <predio:consultaPrediosCC id="cpCC" thisCCId="cpCC"
                                  managedBean="#{consultaPredio}" thisWVName="consultaPrediosWV"
                                  ccIdsChain1=":psCC" ccIdsChain2=":dpCC"
                                  selectedPrediosWVName="prediosSeleccionadosDlgWV"
                                  mostrarBusquedaAvanzada="true" detallesPredioWV="detallePredioWV"
                                  additionMethod1="#{consultaPredio.adicionarPredio1}"			
                                  usePrediosMethod="#{cargueInfoAlSistema.adicionarPrediosAlTramite}"
                                  idsComponentsToUpdate=":nuevoTramiteSolForm:contenedorPredios,:nuevoTramiteSolForm:msgsTramite" />

        <predio:prediosSeleccionadosCC id="psCC"
                                       managedBean="#{consultaPredio}"
                                       thisWVName="prediosSeleccionadosDlgWV" ccIdsChain="dpCC"
                                       detallesPredioWV="detallePredioWV"
                                       usePrediosMethod="#{cargueInfoAlSistema.adicionarPrediosAlTramite}"
                                       consultaPredioPredioWV="consultaPrediosWV"
                                       usePrediosButtonRendered="true"
                                       idsComponentsToUpdate=":nuevoTramiteSolForm:contenedorPredios,:nuevoTramiteSolForm:msgsTramite" />	


        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Esta seguro de enviar este trámite a depuración?"
            confirmDialogWV="confirmarDepuracionWV"
            stringActionOnYes="#{cargueInfoAlSistema.moverADepuracion}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="true" confirmUpdateOnYes=":cargueInfoForm"/>

        <misc:ultimateConfirmDialogCC
            confirmMessage="¿Esta seguro de enviar este trámite a depuración?"
            confirmDialogWV="confirmarDepuracionSinReplicaWV"
            additionalActionOnYes=";confirmarGeneracionReplicaDepuracionWV.show();"
            yesLabel="Aceptar" noLabel="Cancelar" 
            />

        <misc:ultimateConfirmDialogCC
            confirmMessage="Se debe generar la réplica de consulta, esto tomará unos minutos."
            confirmDialogWV="confirmarGeneracionReplicaDepuracionWV"
            stringActionOnYes="#{cargueInfoAlSistema.moverADepuracion}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="true" />

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 thisIdPlusColon=":dpCC" mostrarFichaPredial="true" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <misc:ultimateConfirmDialogCC
            confirmMessage="Se debe generar la réplica de consulta, esto tomará unos minutos."
            confirmDialogWV="confirmarGeneracionReplicaWV"
            stringActionOnYes="#{cargueInfoAlSistema.generarReplicaConsulta}"
            yesLabel="Aceptar" noLabel="Cancelar" 
            useStringActionOnYes="true" />


        <!-- <ui:include src="/util/visorGeografico.xhtml" />-->

    </ui:define>

</ui:composition>
